local TSM = select(2, ...)
local Util = TSM:NewModule("Util")

function Util:CheckTabAndGuild(Item)
	local Guild, Tab, BackUpTab
	local ops = TSMAPI:GetItemOperation(TSMAPI:GetItemString(Item), "GuildSorter")
	if (ops) then
		for _, operationName in pairs(ops) do
			TSMAPI:UpdateOperation("GuildSorter", operationName)
			Tab = TSM.operations[operationName].GBankTab
			BackUpTab = TSM.operations[operationName].GBankBackupTab
			Guild = TSM.operations[operationName].GBank
			--print(format("Guild: %s, Tab: %d",Guild,Tab))
			return Guild, Tab, BackUpTab
		end
	end
end

function Util:CheckTabForFreeSpace()
	local cTab = GetCurrentGuildBankTab()
	local Count = 0
	for Slot = 1, 98, 1 do
		local iCount = select(2,GetGuildBankItemInfo(cTab, Slot))
		if iCount > 0 then
			Count = Count + 1
		end
	end
	if Count >= 98 then
		return false
	end
end